/* 
 * Copyright (c) 2014 Gloey Apps
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 * 
 * @author: Hein Rutjes (IjzerenHein)
 * @license MIT
 * @copyright Gloey Apps, 2014
 */

/* 
 * Copyright (c) 2014 Gloey Apps
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *
 * @author Hein Rutjes (IjzerenHein)
 * @license MIT
 * @copyright Gloey Apps, 2014
 */

define("famous-map/MapUtility",["require","exports","module"],function(t,i,o){var e={};e.lat=function(t){return t instanceof Array?t[0]:t.lat instanceof Function?t.lat():t.lat},e.lng=function(t){return t instanceof Array?t[1]:t.lng instanceof Function?t.lng():t.lng},e.equals=function(t,i){return e.lat(t)===e.lat(i)&&e.lng(t)===e.lng(i)},e.radiansFromDegrees=function(t){return t*(Math.PI/180)},e.rotationFromPositions=function(t,i){return Math.atan2(e.lng(t)-e.lng(i),e.lat(t)-e.lat(i))+Math.PI/2},e.distanceBetweenPositions=function(t,i){var o=6371,s=e.radiansFromDegrees(e.lat(t)),a=e.radiansFromDegrees(e.lat(i)),n=e.radiansFromDegrees(e.lat(i)-e.lat(t)),r=e.radiansFromDegrees(e.lng(i)-e.lng(t)),h=Math.sin(n/2)*Math.sin(n/2)+Math.cos(s)*Math.cos(a)*Math.sin(r/2)*Math.sin(r/2),p=2*Math.atan2(Math.sqrt(h),Math.sqrt(1-h)),c=o*p;return c},o.exports=e}),define("famous-map/MapPositionTransitionable",["require","exports","module","famous/transitions/Transitionable","./MapUtility"],function(t,i,o){var e=t("famous/transitions/Transitionable"),s=t("./MapUtility"),a=function(t){this.position=new e([0,0]),t&&this.set(t)};a.prototype.setDefaultTransition=function(t){this.position.setDefault(t)},a.prototype.reset=function(t){var i=[s.lat(t),s.lng(t)];this.position.reset(i),this._final=t},a.prototype.set=function(t,i,o){var e=[s.lat(t),s.lng(t)];return this.position.set(e,i,o),this._final=t,this},a.prototype.get=function(){if(this.isActive()){var t=this.position.get();return{lat:t[0],lng:t[1]}}return this._final},a.prototype.getFinal=function(){return this._final},a.prototype.isActive=function(){return this.position.isActive()},a.prototype.halt=function(){this._final=this.get(),this.position.halt()},o.exports=a}),define("famous-map/MapTransition",["require","exports","module","./MapUtility"],function(t,i,o){function e(t,i,o){return(1-o)*t+o*i}function s(t){return t.slice(0)}var a=t("./MapUtility"),n=function(){this.state=void 0,this._startTime=0,this._startState=0,this._updateTime=0,this._endState=0,this._active=!1,this._duration=0,this._distance=0,this._callback=void 0};n.SUPPORTS_MULTIPLE=2,n.DEFAULT_OPTIONS={speed:1e3},n.prototype.reset=function(t){if(this._callback){var i=this._callback;this._callback=void 0,i()}this.state=s(t),this._startTime=0,this._updateTime=0,this._startState=this.state,this._endState=this.state,this._duration=0,this._distance=0,this._active=!1},n.prototype.set=function(t,i,o){return i?(this._speed=n.DEFAULT_OPTIONS.speed,i&&i.speed&&(this._speed=i.speed),this._startState=this.get(),this._startTime=Date.now(),this._endState=s(t),this._active=!0,this._callback=o,this._distance=a.distanceBetweenPositions(this._startState,this._endState),void(this._duration=this._distance/this._speed*36e5)):(this.reset(t),void(o&&o()))},n.prototype.get=function(t){if(!this._active){if(this._callback){var i=this._callback;this._callback=void 0,i()}return this.state}if(t||(t=Date.now()),this._updateTime>=t)return this.state;this._updateTime=t;var o=t-this._startTime;if(o>=this._duration)this.state=this._endState,this._active=!1;else if(0>o)this.state=this._startState;else{var s=o/this._duration,a=e(this._startState[0],this._endState[0],s),n=e(this._startState[1],this._endState[1],s);this.state=[a,n]}return this.state},n.prototype.isActive=function(){return this._active},n.prototype.halt=function(){this.set(this.get())},o.exports=n});var _globalMapViewId=1;define("famous-map/MapView",["require","exports","module","famous/core/Surface","famous/core/View","famous/transitions/Transitionable","./MapUtility","./MapPositionTransitionable","./MapTransition"],function(t,i,o){var e=t("famous/core/Surface"),s=t("famous/core/View"),a=t("famous/transitions/Transitionable"),n=t("./MapUtility"),r=t("./MapPositionTransitionable"),h=t("./MapTransition");a.registerMethod("map-speed",h);var p={GOOGLEMAPS:1,LEAFLET:2},c=function(){if(s.apply(this,arguments),this.map=null,this.mapType=this.options.type,this._position=new r(this.options.mapOptions.center),this._zoom={center:new r(this.options.mapOptions.center),northEast:new r(this.options.mapOptions.center),southWest:new r(this.options.mapOptions.center)},this._cache={},this.mapType===p.LEAFLET&&(this.options.zoomTransition={duration:0}),this.options.mapOptions&&this.options.id)this.mapId=this.options.id;else{this.mapId="MapView"+_globalMapViewId,_globalMapViewId++;var t=new e({classes:["mapview"],content:'<div id="'+this.mapId+'" style="width: 100%; height: 100%;"></div>',size:[void 0,void 0]});this.add(t)}};c.prototype=Object.create(s.prototype),c.prototype.constructor=c,c.MapType=p,c.DEFAULT_OPTIONS={type:p.GOOGLEMAPS,mapOptions:{zoom:10,center:{lat:51.4400867,lng:5.4782571}},id:null,zoomTransition:{duration:100}},c.prototype._initMap=function(){var t=document.getElementById(this.mapId);if(t)switch(this.mapType){case p.GOOGLEMAPS:this.map=new google.maps.Map(t,this.options.mapOptions);var i=this.map.addListener("projection_changed",function(){google.maps.event.removeListener(i),this._initComplete=!0,this._eventOutput.emit("load",this)}.bind(this));break;case p.LEAFLET:this.map=L.map(t,this.options.mapOptions),this._initComplete=!0,this._eventOutput.emit("load",this)}},c.prototype.getMap=function(){return this.map},c.prototype.setPosition=function(t,i,o){return this._position.set(t,i,o),this._positionInvalidated=!0,this},c.prototype.getPosition=function(){return this._zoom.center.get()},c.prototype.getFinalPosition=function(){return this._position.getFinal()},c.prototype.getZoom=function(){return this._cache.zoom},c.prototype.pointFromPosition=function(t){switch(this.mapType){case p.GOOGLEMAPS:t instanceof google.maps.LatLng||(t=new google.maps.LatLng(n.lat(t),n.lng(t),!0));var i=this.map.getProjection().fromLatLngToPoint(t);return{x:(i.x-this._cache.bottomLeft.x)*this._cache.scale,y:(i.y-this._cache.topRight.y)*this._cache.scale};case p.LEAFLET:var o=this.map.latLngToContainerPoint(t);return o}},c.prototype.positionFromPoint=function(t){switch(this.mapType){case p.GOOGLEMAPS:var i=new google.maps.Point(t.x/this._cache.scale+this._cache.bottomLeft.x,t.y/this._cache.scale+this._cache.topRight.y);return this.map.getProjection().fromPointToLatLng(i);case p.LEAFLET:return this.map.containerPointToLatLng(t)}},c.prototype.getSize=function(){return this._cache.size},c.prototype.halt=function(){this._position.halt(),this._positionInvalidated=!0},c.prototype.isActive=function(){return this._position.isActive()},c.prototype._updateCache=function(t,i,o){switch(this._cache.finalZoom=t,this._cache.finalScale=Math.pow(2,this._cache.finalZoom),this._cache.finalNorthEast=i,this._cache.finalSouthWest=o,this.mapType){case p.GOOGLEMAPS:i instanceof google.maps.LatLng||(i=new google.maps.LatLng(n.lat(i),n.lng(i),!0)),o instanceof google.maps.LatLng||(o=new google.maps.LatLng(n.lat(o),n.lng(o),!0));var e=this.map.getProjection().fromLatLngToPoint(i),s=this.map.getProjection().fromLatLngToPoint(o);this._cache.size=[(e.x-s.x)*this._cache.finalScale,(s.y-e.y)*this._cache.finalScale];break;case p.LEAFLET:var a=this.map.getSize();this._cache.size=[a.x,a.y]}switch(this.mapType){case p.GOOGLEMAPS:i=this._zoom.northEast.get(),o=this._zoom.southWest.get(),i instanceof google.maps.LatLng||(i=new google.maps.LatLng(n.lat(i),n.lng(i),!0)),o instanceof google.maps.LatLng||(o=new google.maps.LatLng(n.lat(o),n.lng(o),!0)),this._cache.topRight=this.map.getProjection().fromLatLngToPoint(i),this._cache.bottomLeft=this.map.getProjection().fromLatLngToPoint(o),this._cache.scale=this._cache.size[0]/(this._cache.topRight.x-this._cache.bottomLeft.x),this._cache.zoom=Math.log(this._cache.scale)/Math.log(2);break;case p.LEAFLET:this._cache.zoom=t}},c.prototype._getMapInfo=function(){var t,i,o,e,s;switch(this.mapType){case p.GOOGLEMAPS:t=this.map.getBounds(),e=this.map.getCenter(),s=this.map.getZoom();var a=n.lng(e);i=t.getNorthEast();for(var r=i.lng();a>r;)r+=360;for(;r>a+360;)r-=360;o=t.getSouthWest();for(var h=o.lng();a-360>h;)h+=360;for(;h>a;)h-=360;return{zoom:s,center:{lat:e.lat(),lng:e.lng()},southWest:{lat:o.lat(),lng:h},northEast:{lat:i.lat(),lng:r}};case p.LEAFLET:return t=this.map.getBounds(),o=t.getSouthWest(),i=t.getNorthEast(),e=this.map.getCenter(),s=this.map.getZoom(),{zoom:s,center:{lat:e.lat,lng:e.lng},southWest:{lat:o.lat,lng:o.lng},northEast:{lat:i.lat,lng:i.lng}}}},c.prototype.render=function(){if(this.map||this._initMap(),this._initComplete){var t,i=this._getMapInfo(),o=!1;if(i.zoom!==this._cache.finalZoom?(this._zoom.northEast.halt(),this._zoom.southWest.halt(),this._zoom.center.halt(),this._zoom.northEast.set(i.northEast,this.options.zoomTransition),this._zoom.southWest.set(i.southWest,this.options.zoomTransition),this._zoom.center.set(i.center,this.options.zoomTransition),o=!0):this._zoom.northEast.isActive()?(this._zoom.northEast.get(),o=!0):(this._zoom.northEast.reset(i.northEast),this._zoom.southWest.reset(i.southWest),this._zoom.center.reset(i.center)),!o&&i.zoom===this._cache.finalZoom&&n.equals(i.northEast,this._cache.finalNorthEast)&&n.equals(i.southWest,this._cache.finalSouthWest)||this._updateCache(i.zoom,i.northEast,i.southWest),this._position.isActive()||this._positionInvalidated?(t={center:this._position.get()},this._positionInvalidated=!1):this._position.reset(i.center),t)switch(this.mapType){case p.GOOGLEMAPS:this.map.setOptions(t);break;case p.LEAFLET:this.map.panTo(t.center,{animate:!1})}}return this._node.render()},o.exports=c}),define("famous-map/MapModifier",["require","exports","module","famous/core/Transform","./MapUtility"],function(t,i,o){var e=t("famous/core/Transform"),s=t("./MapUtility"),a=function(t){this.mapView=t.mapView,this._output={transform:e.identity,opacity:1,origin:null,align:null,size:null,target:null},this._cache={},this._positionGetter=null,this._rotateTowardsGetter=null,this._offset=t.offset,this._zoomScale=t.zoomScale,this._zoomBase=t.zoomBase,t.position&&this.positionFrom(t.position),t.rotateTowards&&this.rotateTowardsFrom(t.rotateTowards)};a.prototype.positionFrom=function(t){return t?t instanceof Function?this._positionGetter=t:t instanceof Object&&t.getPosition?this._positionGetter=t.getPosition.bind(t):(this._positionGetter=null,this._position=t):(this._positionGetter=null,this._position=null),this},a.prototype.rotateTowardsFrom=function(t){return t?t instanceof Function?this._rotateTowardsGetter=t:t instanceof Object&&t.getPosition?this._rotateTowardsGetter=t.getPosition.bind(t):(this._rotateTowardsGetter=null,this._rotateTowards=t):(this._rotateTowardsGetter=null,this._rotateTowards=null),this},a.prototype.zoomBaseFrom=function(t){return this._zoomBase=t,this},a.prototype.zoomScaleFrom=function(t){return this._zoomScale=t,this},a.prototype.offsetFrom=function(t){return this._offset=t,this},a.prototype.getPosition=function(){return this._positionGetter||this._position},a.prototype.getRotateTowards=function(){return this._rotateTowardsGetter||this._rotateTowards},a.prototype.getZoomBase=function(){return this._zoomBase},a.prototype.getZoomScale=function(){return this._zoomScale},a.prototype.getOffset=function(){return this._offset},a.prototype.modify=function(t){var i=!1;if(void 0!==this._zoomBase){var o;if(this._zoomScale)if(this._zoomScale instanceof Function)o=this._zoomScale(this._zoomBase,this.mapView.getZoom());else{var a=this.mapView.getZoom()-this._zoomBase+1;o=0>a?1/(Math.abs(a)+1)*this._zoomScale:(1+a)*this._zoomScale}else o=Math.pow(2,this.mapView.getZoom()-this._zoomBase);this._cache.scaling!==o&&(this._cache.scaling=o,this._cache.scale=e.scale(o,o,1),i=!0)}else this._cache.scale&&(this._cache.scale=null,this._cache.scaling=null,i=!0);var n=this._positionGetter?this._positionGetter():this._position;if(n){this._offset&&(n={lat:s.lat(n)+s.lat(this._offset),lng:s.lng(n)+s.lng(this._offset)});var r=this._rotateTowardsGetter?this._rotateTowardsGetter():this._rotateTowards;if(r){var h=s.rotationFromPositions(n,r);this._cache.rotation!==h&&(this._cache.rotation=h,this._cache.rotate=e.rotateZ(h),i=!0)}else this._cache.rotate&&(this._cache.rotate=null,this._cache.rotation=null,i=!0);var p=this.mapView.pointFromPosition(n);this._cache.point&&p.x===this._cache.point.x&&p.y===this._cache.point.y||(this._cache.point=p,this._cache.translate=e.translate(p.x,p.y,0),i=!0)}else this._cache.translate&&(this._cache.point=null,this._cache.translate=null,i=!0);if(i){var c=this._cache.scale;this._cache.rotate&&(c=c?e.multiply(this._cache.rotate,c):this._cache.rotate),this._cache.translate&&(c=c?e.multiply(this._cache.translate,c):this._cache.translate),this._output.transform=c}return this._output.target=t,this._output},o.exports=a}),define("famous-map/MapStateModifier",["require","exports","module","./MapModifier","./MapPositionTransitionable"],function(t,i,o){var e=t("./MapModifier"),s=t("./MapPositionTransitionable"),a=function(t){this.mapView=t.mapView,this._positionState=new s(t.position),this._rotateTowardsState=new s(t.rotateTowards),this._modifier=new e({mapView:this.mapView}),t.position&&this.setPosition(t.position),t.rotateTowards&&this.rotateTowards(t.rotateTowards),t.offset&&this.setOffset(t.offset),void 0!==t.zoomBase&&this.setZoomBase(t.zoomBase),t.zoomScale&&this.setZoomScale(t.zoomScale)};a.prototype.setPosition=function(t,i,o){return this._positionState.set(t,i,o),this},a.prototype.rotateTowards=function(t,i,o){this._rotateTowardsState.set(t,i,o)},a.prototype.setZoomBase=function(t){return this._modifier.zoomBaseFrom(t),this},a.prototype.setZoomScale=function(t){return this._modifier.zoomScaleFrom(t),this},a.prototype.setOffset=function(t){return this._modifier.offsetFrom(t),this},a.prototype.getPosition=function(){return this._positionState.get()},a.prototype.getRotateTowards=function(){return this._rotateTowardsState.get()},a.prototype.getFinalPosition=function(){return this._positionState.getFinal()},a.prototype.getFinalRotateTowards=function(){return this._rotateTowardsState.getFinal()},a.prototype.getZoomBase=function(){return this._modifier.getZoomBase()},a.prototype.getZoomScale=function(){return this._modifier.getZoomScale()},a.prototype.getOffset=function(){return this._modifier.getOffset()},a.prototype.halt=function(){this._positionState.halt(),this._rotateTowardsState.halt()},a.prototype.isActive=function(){return this._positionState.isActive()||this._rotateTowardsState.isActive()},a.prototype.modify=function(t){return this._modifier.positionFrom(this._positionState.get()),this._modifier.rotateTowardsFrom(this._rotateTowardsState.getFinal()),this._modifier.modify(t)},o.exports=a}),define("MapMinify",["require","famous-map/MapView","famous-map/MapModifier","famous-map/MapStateModifier","famous-map/MapUtility","famous-map/MapPositionTransitionable","famous-map/MapTransition"],function(t){var i=t("famous-map/MapView");i=t("famous-map/MapModifier"),i=t("famous-map/MapStateModifier"),i=t("famous-map/MapUtility"),i=t("famous-map/MapPositionTransitionable"),i=t("famous-map/MapTransition")});